{*
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div id="modulecontent" class="clearfix">
    <div id="menu">
    {if !empty($errors)}
            <div class="module_error alert alert-danger">
                {foreach $errors as $error}
                    <button type="button" class="close" data-dismiss="alert">×</button><ul><li>{$error|escape:'htmlall':'UTF-8'}</li></ul>
                {/foreach}
            </div>
    {/if}

    {* Menu list *}
    <div class="col-lg-2">
        <div class="list-group" v-on:click.prevent>
            <a href="#" class="list-group-item" v-bind:class="{ 'active': isActive('XMLconf') }" v-on:click="makeActive('XMLconf')"><i class="fa fa-sitemap"></i> {l s='XML Sitemap' mod='pssitemap'}</a>
            <a href="#" class="list-group-item" v-bind:class="{ 'active': isActive('HTMLconf') }" v-on:click="makeActive('HTMLconf')"><i class="fa fa-sitemap"></i> {l s='HTML Sitemap' mod='pssitemap'}</a>
            <a href="#" class="list-group-item" v-bind:class="{ 'active': isActive('CronSettings') }" v-on:click="makeActive('CronSettings')"><i class="fa fa-clock-o"></i> {l s='Automatic tasks' mod='pssitemap'}</a>
            {if ($apifaq != '')}
                <a href="#" class="list-group-item" v-bind:class="{ 'active': isActive('faq') }" v-on:click="makeActive('faq')"><i class="fa fa-question-circle"></i> {l s='Help' mod='pssitemap'}</a>
            {/if}
        </div>
        <div class="list-group" v-on:click.prevent>
            <a class="list-group-item"><i class="icon-info"></i> {l s='Version' mod='pssitemap'} {$module_version|escape:'htmlall':'UTF-8'}</a>
        </div>
    </div>

    {* list your admin tpl *}
    <div v-show="isActive('XMLconf')" class="sitemap_menu hide-tab" id="xmlConf">
        {include file="./tabs/xmlConfiguration.tpl"}
    </div>

    <div v-show="isActive('HTMLconf')" class="sitemap_menu hide-tab" id="htmlConf">
        {include file="./tabs/htmlConfiguration.tpl"}
    </div>

    <div v-show="isActive('CronSettings')" class="sitemap_menu hide-tab" id="cronconf">
        {include file="./tabs/cronSettings.tpl"}
    </div>

    {if ($apifaq != '')}
        <div v-show="isActive('faq')" class="sitemap_menu hide-tab" id="faq">
            {include file="./tabs/help.tpl"}
        </div>
    {/if}

    </div>
</div>

{* Use this if you want to send php var to your js *}
{literal}
<script type="text/javascript">
    var getPage = "{/literal}{$currentPage|escape:'htmlall':'UTF-8'}{literal}";
    var getmoduleAdminLink = "{/literal}{$moduleAdminLink|escape:'htmlall':'UTF-8'}{literal}";
    var shop_version = "{/literal}{$ps17|escape:'htmlall':'UTF-8'}{literal}";
    var getmoduleName = "{/literal}{$module_name|escape:'htmlall':'UTF-8'}{literal}";
</script>
{/literal}
