{*
* 2007-2018 PrestaShop
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2018 PrestaShop SA
* @license   http://addons.prestashop.com/en/content/12-terms-and-conditions-of-use
* International Registered Trademark & Property of PrestaShop SA
*}


<div class="panel col-lg-10 right-panel">
    <h3>
        <i class="fa fa-sitemap"></i> {l s='HTML Sitemap' mod='pssitemap'} <small>{$module_display|escape:'htmlall':'UTF-8'}</small>
    </h3>

    <div class="tab-content">
        <div id="htmlConf" class="tab-pane fade in active">
            <form id="form_html_Conf" method="post" action="#" class="form-horizontal">
                <div class="form-group">
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Display HTML sitemap on your site' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                        <span class="switch prestashop-switch fixed-width-lg">
                            <input class="yes" type="radio" name="html_sitemap" id="html_sitemap_on" data-toggle="collapase" data-target="#html_sitemap" value="1" {if $active_html eq 1} checked="checked" {/if}>
                            <label for="html_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                            <input class=no type="radio" name="html_sitemap" id="html_sitemap_off" data-toggle="collapase" data-target="#html_sitemap" value="0" {if $active_html eq 0} checked="checked" {/if}>
                            <label for="html_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                            <a class="slide-button btn"></a>
                        </span>
                    </div>
                    <br><br><br>
                    <div class="html_sitemap {if $active_html eq 0}hide{/if}">
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Choose a page for your sitemap' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                        <select class="" id="cms_page_html" name="cms_page_html">
                            <option value="0" {if $sitemap_page_html eq "0"}selected{/if}>{l s='None Selected' mod='pssitemap'}</option>
                            {foreach from=$html_listCMS item=p}
                                <option value="{$p.id_cms|escape:'htmlall':'UTF-8'}" {if $sitemap_page_html eq "{$p.id_cms}"} selected {/if}> {$p.meta_title|escape:'htmlall':'UTF-8'} </option>
                            {/foreach}
                        </select>
                        <div class="help-block">
                            {l s='Please make sure that you have created your sitemap page' mod='pssitemap'}<br>
                            {l s='To create a new page on your website and customize it\'s content, please' mod='pssitemap'}
                            <a href="{$adminCMS|escape:'htmlall':'UTF-8'}" target="_blank">{l s='Click here' mod='pssitemap'}</a>
                        </div>
                    </div>
                    <br><br><br>
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Sitemap display type' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-">
                        <div class="form-group">
                            <div class="html-sitemap-position">
                                <ul>
                                    <li>
                                        <label class="select">
                                            <input type="radio" name="LAYOUT-CHOICE" value="1" {if $active_layout eq 1}checked{/if} />
                                            <img src="{$img_path|escape:'htmlall':'UTF-8'}colonne_1.png" width="200" height="200">
                                        </label>
                                    </li>
                                    <li>
                                        <label class="select">
                                            <input type="radio" name="LAYOUT-CHOICE" value="2" {if $active_layout eq 2}checked{/if}/>
                                            <img src="{$img_path|escape:'htmlall':'UTF-8'}colonne_2.png" width="200" height="200">
                                        </label>
                                    </li>
                                    <li>
                                        <label class="select">
                                            <input type="radio" name="LAYOUT-CHOICE" value="3"/ {if $active_layout eq 3}checked{/if}>
                                            <img src="{$img_path|escape:'htmlall':'UTF-8'}continue.png" width="200" height="200">
                                        </label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                     <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Font text' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                        <select class="" id="font_text_id" name="font_text_name">
                            {foreach from=$fontText key='key' item='font'}
                                <option style="font-family: '{$font|escape:'htmlall':'UTF-8'}'"  value="{$font|escape:'htmlall':'UTF-8'}" {if $active_FontText eq $font}selected{/if}> {$font|escape:'htmlall':'UTF-8'} </option>
                            {/foreach}
                        </select>
                    </div>
                    <br><br><br>
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Page title color' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-2">
                        <div class="input-group">
                            <input name="page_title_color" type="text" class="mColorPicker" id="color_0" value="{$page_title_color|escape:'htmlall':'UTF-8'}" data-hex="true" style="background-color:{$page_title_color|escape:'htmlall':'UTF-8'}; color: black;"/>
                            <span style="cursor:pointer;" id="icp_color_0" class="mColorPickerTrigger input-group-addon" data-mcolorpicker="true"><img src="../img/admin/color.png" /></span>
                        </div>
                    </div>
                    <br><br><br>
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Page category color' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-2">
                        <div class="input-group">
                            <input name="page_category_color" type="text" class="mColorPicker" id="color_2" value="{$page_category_color|escape:'htmlall':'UTF-8'}" data-hex="true" style="background-color:{$page_category_color|escape:'htmlall':'UTF-8'}; color: black;"/>
                            <span style="cursor:pointer;" id="icp_color_2" class="mColorPickerTrigger input-group-addon" data-mcolorpicker="true"><img src="../img/admin/color.png" /></span>
                        </div>
                    </div>
                    <br><br><br>
                    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        <div class="text-right">
                            {l s='Page link color' mod='pssitemap'}
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-2">
                        <div class="input-group">
                            <input name="page_link_color" type="text" class="mColorPicker" id="color_3" value="{$page_link_color|escape:'htmlall':'UTF-8'}" data-hex="true" style="background-color:{$page_link_color|escape:'htmlall':'UTF-8'}; color: black;"/>
                            <span style="cursor:pointer;" id="icp_color_3" class="mColorPickerTrigger input-group-addon" data-mcolorpicker="true"><img src="../img/admin/color.png" /></span>
                        </div>
                    </div>
                    </div>

                </div>
                {*SAVE BUTTON*}
                <div class="panel-footer">
                    <div class="html_sitemap {if $active_html eq 0}hide{/if}">
                        <button type="submit" value="1" id="gen_html_sitemap" name="gen_html_sitemap" class="btn btn-default pull-right">
                            <i class="process-icon-save"></i> {l s='Generate sitemap' mod='pssitemap'}
                        </button>
                    </div>
                    <div class="html_conf {if $active_html eq 1}hide{/if}">
                        <button type="submit" value="1" id="submitConfHtml" name="submitConfHtml" class="btn btn-default pull-right">
                            <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>
