{*
* 2007-2018 PrestaShop
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2018 PrestaShop SA
* @license   http://addons.prestashop.com/en/content/12-terms-and-conditions-of-use
* International Registered Trademark & Property of PrestaShop SA
*}

<script>
    psSearch = "{l s='Filter records ' mod='pssitemap' js=1}";
    psEmptyTable = "{l s='No data available in table' mod='pssitemap' js=1}";
    psLoadingRecords = "{l s='Please wait - loading...' mod='pssitemap' js=1}";
    psProcessing = "{l s='DataTables is currently busy' mod='pssitemap' js=1}";
    psNext = "{l s='Next' mod='pssitemap' js=1}";
    psPrevious = "{l s='Previous' mod='pssitemap' js=1}";
    psLengthMenu1 = "{l s='Display ' mod='pssitemap' js=1}";
    psLengthMenu2 = "{l s=' records' mod='pssitemap' js=1}";
    psLengthMenu = "{l s='Show _MENU_ ' mod='pssitemap' js=1}";
    psInfo = "{l s='Showing _START_ to _END_ (of _END_ entries)' mod='pssitemap' js=1}";
    psInfoFiltered = "{l s='- filtering from _MAX_ records' mod='pssitemap' js=1}";
</script>

<div class="panel col-lg-10 right-panel">
    <h3>
        <i class="fa fa-sitemap"></i> {l s='XML Sitemap' mod='pssitemap'} <small>{$module_display|escape:'htmlall':'UTF-8'}</small>
    </h3>

    <div class="container">
        <ul class="nav nav-tabs" id="manage_tab">
            <li class="active"><a data-toggle="tab" href="#xmlConfig">{l s='General configuration' mod='pssitemap'}</a></li>
            <li><a data-toggle="tab" href="#categoryConf">{l s='Categories' mod='pssitemap'}</a></li>
            <li><a data-toggle="tab" href="#productConf">{l s='Products' mod='pssitemap'}</a></li>
            <li><a data-toggle="tab" href="#cmsConf">{l s='CMS Pages' mod='pssitemap'}</a></li>
            <li><a data-toggle="tab" href="#otherConf">{l s='Other Pages' mod='pssitemap'}</a></li>
            <li><a data-toggle="tab" href="#sitemap_export">{l s='Sitemap export' mod='pssitemap'}</a></li>
        </ul>
    </div>

    <div class="panel panel panel-default">
        <div class="tab-content">
            <div id="xmlConfig" class="tab-pane fade in active">
            {* GENERAL CONFIGURATION *}
                <form id="form_xml_Conf" method="post" action="#" class="form-horizontal">
                    <div class="">
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                                <div class="text-right">
                                        {l s='Choose the language(s) in which your sitemap will be generated' mod='pssitemap'}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <div class="checkbox">
                                    {foreach $languages as $lang}
                                        <label class="checkbox"><input type="checkbox" id="iso_{$lang.iso_code|escape:'htmlall':'UTF-8'}" name="lgConf[]" value="{$lang.id_lang|escape:'htmlall':'UTF-8'}"
                                            {foreach $language_conf as $value}
                                                {if $value eq $lang.id_lang}
                                                    checked="checked"
                                                {/if}
                                            {/foreach}>
                                            {$lang.name|escape:'htmlall':'UTF-8'}
                                        </label>
                                    {/foreach}
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Include links for images in sitemap' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="img_link_sitemap" id="img_link_sitemap_on" data-toggle="collapase" data-target="#img_link_sitemap" value="1" {if $img_link_sitemap eq 1} checked="checked" {/if}>
                                <label for="img_link_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                                <input class=no type="radio" name="img_link_sitemap" id="img_link_sitemap_off" data-toggle="collapase" data-target="#img_link_sitemap" value="0" {if $img_link_sitemap eq 0} checked="checked" {/if}>
                                <label for="img_link_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <button type="submit" value="1" id="submitGeneralConf" name="submitGeneralConf" class="btn btn-default pull-right">
                            <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                        </button>
                    </div>
                </form>
            </div>

            <div id="categoryConf" class="tab-pane fade">
              {* CATEGORIES CONFIGURATION *}
                <form id="form_category_conf" method="post" action="#" class="form-horizontal">
                <div class="">
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Generate sitemap for categories' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="categoty_sitemap" id="categoty_sitemap_on" data-toggle="collapase" data-target="#categoty_sitemap" value="1" {if $sitemap_category eq 1} checked="checked" {/if}>
                                <label for="categoty_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                                <input class=no type="radio" name="categoty_sitemap" id="categoty_sitemap_off" data-toggle="collapase" data-target="#categoty_sitemap" value="0" {if $sitemap_category eq 0} checked="checked" {/if}>
                                <label for="categoty_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>

                <div class="categoty_sitemap {if $sitemap_category eq 0}hide{/if}">
                    {*START Priority for category*}
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Priority' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="category_priority" name="category_priority">
                                <option value="0.0" {if $category_priority eq "0.0"} selected {/if}> 0.0 </option>
                                <option value="0.1" {if $category_priority eq "0.1"} selected {/if}> 0.1 </option>
                                <option value="0.2" {if $category_priority eq "0.2"} selected {/if}> 0.2 </option>
                                <option value="0.3" {if $category_priority eq "0.3"} selected {/if}> 0.3 </option>
                                <option value="0.4" {if $category_priority eq "0.4"} selected {/if}> 0.4 </option>
                                <option value="0.5" {if $category_priority eq "0.5"} selected {/if}> 0.5 </option>
                                <option value="0.6" {if $category_priority eq "0.6"} selected {/if}> 0.6 </option>
                                <option value="0.7" {if $category_priority eq "0.7"} selected {/if}> 0.7 </option>
                                <option value="0.8" {if $category_priority eq "0.8"} selected {/if}> 0.8 </option>
                                <option value="0.9" {if $category_priority eq "0.7"} selected {/if}> 0.9 </option>
                                <option value="1.0" {if $category_priority eq "1.0"} selected {/if}> 1.0 </option>
                            </select>
                        </div>
                    </div>
                    {*END Priority for category*}
                    {*START frequency for category*}
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Modification frequency' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="category_frequency" name="category_frequency">
                                <option value="always"  {if $category_frequency eq always} selected {/if}> {l s='Always'  mod='pssitemap'} </option>
                                <option value="hourly"  {if $category_frequency eq hourly} selected {/if}> {l s='Hourly'  mod='pssitemap'} </option>
                                <option value="daily"   {if $category_frequency eq daily} selected {/if}>  {l s='Daily'   mod='pssitemap'} </option>
                                <option value="weekly"  {if $category_frequency eq weekly} selected {/if}> {l s='Weekly'  mod='pssitemap'} </option>
                                <option value="monthly" {if $category_frequency eq monthly} selected {/if}>{l s='Monthly' mod='pssitemap'} </option>
                                <option value="yearly"  {if $category_frequency eq yearly} selected {/if}> {l s='Yearly'  mod='pssitemap'} </option>
                                <option value="never"   {if $category_frequency eq never} selected {/if}>  {l s='Never'   mod='pssitemap'} </option>
                            </select>
                        </div>
                    </div>
                    {*END frequency for category*}

                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Dissociate homepage from other category pages' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="dissociate_homepage" id="dissociate_homepage_on" data-toggle="collapse" data-target="#" value="1" {if $homepage_button eq 1}checked="checked"{/if}>
                                <label for="dissociate_homepage_on" class="test">{l s='YES' mod='pssitemap'}</label>

                                <input class="no" type="radio" name="dissociate_homepage" id="dissociate_homepage_off" data-toggle="collapse" data-target="#" value="0" {if $homepage_button eq 0}checked="checked"{/if}>
                                <label for="dissociate_homepage_off" class="test">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                            <div class="help-block">
                                {l s='Clicking Yes, you will be able to set a different priority and modification frequency for your homepage' mod='pssitemap'}
                            </div>
                        </div>
                    </div>
                    {* START Show this option to set a different priority for homepage *}
                    <div class="dissociate_homepage {if $homepage_button eq 0}hide{/if}">
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                                <div class="text-right">
                                    {l s='Priority for homepage' mod='pssitemap'}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <select class="" id="homepage_priority" name="homepage_priority">
                                    <option value="0.0" {if $homepage_priority eq "0.0"} selected {/if}> 0.0 </option>
                                    <option value="0.1" {if $homepage_priority eq "0.1"} selected {/if}> 0.1 </option>
                                    <option value="0.2" {if $homepage_priority eq "0.2"} selected {/if}> 0.2 </option>
                                    <option value="0.3" {if $homepage_priority eq "0.3"} selected {/if}> 0.3 </option>
                                    <option value="0.4" {if $homepage_priority eq "0.4"} selected {/if}> 0.4 </option>
                                    <option value="0.5" {if $homepage_priority eq "0.5"} selected {/if}> 0.5 </option>
                                    <option value="0.6" {if $homepage_priority eq "0.6"} selected {/if}> 0.6 </option>
                                    <option value="0.7" {if $homepage_priority eq "0.7"} selected {/if}> 0.7 </option>
                                    <option value="0.8" {if $homepage_priority eq "0.8"} selected {/if}> 0.8 </option>
                                    <option value="0.9" {if $homepage_priority eq "0.9"} selected {/if}> 0.9 </option>
                                    <option value="1.0" {if $homepage_priority eq "1.0"} selected {/if}> 1.0 </option>
                                </select>
                            </div>
                        </div>
                        {* START *}
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                                <div class="text-right">
                                    {l s='Modification frequency for homepage' mod='pssitemap'}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <select class="" id="homepage_frequency" name="homepage_frequency">
                                    <option value="always"  {if $homepage_frequency eq always} selected {/if}> {l s='Always'  mod='pssitemap'} </option>
                                    <option value="hourly"  {if $homepage_frequency eq hourly} selected {/if}> {l s='Hourly'  mod='pssitemap'} </option>
                                    <option value="daily"   {if $homepage_frequency eq daily} selected {/if}>  {l s='Daily'   mod='pssitemap'} </option>
                                    <option value="weekly"  {if $homepage_frequency eq weekly} selected {/if}> {l s='Weekly'  mod='pssitemap'} </option>
                                    <option value="monthly" {if $homepage_frequency eq monthly} selected {/if}>{l s='Monthly' mod='pssitemap'} </option>
                                    <option value="yearly"  {if $homepage_frequency eq yearly} selected {/if}> {l s='Yearly'  mod='pssitemap'} </option>
                                    <option value="never"   {if $homepage_frequency eq never} selected {/if}>  {l s='Never'   mod='pssitemap'} </option>
                                </select>
                                <div class="help-block">
                                    {l s='For other page category pages, please set their parameters below' mod='pssitemap'}
                                </div>
                            </div>
                        </div>
                        {*END FREQUENCY FOR HOME*}
                    </div>
                    {* END *}

                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <table class="display table-responsive" id="id_sitemap">
                            <thead>
                                <th> {l s='Category ID' mod='pssitemap'} </th>
                                <th> {l s='Category Name' mod='pssitemap'} </th>
                                <th> <input class="checkAll btn-check" type="checkbox" name="category_box">{l s='Select / Unselect all' mod='pssitemap'} </th>
                            </thead>
                            <tbody>
                                 {foreach from=$categories key=k item=v}
                                    <tr>
                                        {foreach from = $v key=k item=i}
                                            <td>{$i|escape:'html':'UTF-8'}</td>
                                        {/foreach}
                                        <td><input type="checkbox" name="category_box" value={$v.id_category|escape:'htmlall':'UTF-8'} class="ajaxupdate category_box" {foreach from=$category_to_export key=y item=x} {if $v.id_category eq {$x.id_element}}checked{/if} {/foreach}></td>
                                    </tr>
                                {/foreach}
                            </tbody>
                            </table>
                        </div>
                </div>
                    </div>
                    <div class="panel-footer">
                    <div class="categoty_sitemap {if $sitemap_category eq 0}hide{/if}">
                        <button type="submit" value="1" id="gen_category_sitemap" name="gen_category_sitemap" class="btn btn-default pull-right">
                            <i class="process-icon-save"></i> {l s='Generate sitemap' mod='pssitemap'}
                        </button>
                    </div>
                    <div class="category_conf {if $sitemap_category eq 1}hide{/if}">
                        <button type="submit" value="1" id="submitCategoryConf" name="submitCategoryConf" class="btn btn-default pull-right">
                            <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                        </button>
                    </div>
                    </div>
                </form>
            </div>
        </div>

            {* START PRODUCCTS CONFIGURATION *}
            <div id="productConf" class="tab-pane fade">
                <form id="form_product_conf" method="post" action="#" class="form-horizontal">
                <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Generate sitemap for products' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="product_sitemap" id="product_sitemap_on" data-toggle="collapase" data-target="#product_sitemap" value="1" {if $sitemap_product eq 1} checked="checked" {/if}> {* smarty a replacer *}
                                <label for="product_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                                <input class=no type="radio" name="product_sitemap" id="product_sitemap_off" data-toggle="collapase" data-target="#product_sitemap" value="0" {if $sitemap_product eq 0} checked="checked" {/if}> {* smarty a replacer *}
                                <label for="product_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>

                    {*START Priority for category*}
                    <div class="product_sitemap {if $sitemap_product eq 0} hide {/if}">
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                                <div class="text-right">
                                    {l s='Priority' mod='pssitemap'}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <select class="" id="product_priority" name="product_priority">
                                    <option value="0.0" {if $product_priority eq "0.0"} selected {/if}> 0.0 </option>
                                    <option value="0.1" {if $product_priority eq "0.1"} selected {/if}> 0.1 </option>
                                    <option value="0.2" {if $product_priority eq "0.2"} selected {/if}> 0.2 </option>
                                    <option value="0.3" {if $product_priority eq "0.3"} selected {/if}> 0.3 </option>
                                    <option value="0.4" {if $product_priority eq "0.4"} selected {/if}> 0.4 </option>
                                    <option value="0.5" {if $product_priority eq "0.5"} selected {/if}> 0.5 </option>
                                    <option value="0.6" {if $product_priority eq "0.6"} selected {/if}> 0.6 </option>
                                    <option value="0.7" {if $product_priority eq "0.7"} selected {/if}> 0.7 </option>
                                    <option value="0.8" {if $product_priority eq "0.8"} selected {/if}> 0.8 </option>
                                    <option value="0.9" {if $product_priority eq "0.9"} selected {/if}> 0.9 </option>
                                    <option value="1.0" {if $product_priority eq "1.0"} selected {/if}> 1.0 </option>
                                </select>
                            </div>
                        </div>
                        {*END Priority for category*}
                        {*START frequency for category*}
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                                <div class="text-right">
                                    {l s='Modification frequency' mod='pssitemap'}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <select class="" id="product_frequency" name="product_frequency">
                                    <option value="always"  {if $product_frequency eq always} selected {/if}> {l s='Always'  mod='pssitemap'} </option>
                                    <option value="hourly"  {if $product_frequency eq hourly} selected {/if}> {l s='Hourly'  mod='pssitemap'} </option>
                                    <option value="daily"   {if $product_frequency eq daily} selected {/if}>  {l s='Daily'   mod='pssitemap'} </option>
                                    <option value="weekly"  {if $product_frequency eq weekly} selected {/if}> {l s='Weekly'  mod='pssitemap'} </option>
                                    <option value="monthly" {if $product_frequency eq monthly} selected {/if}>{l s='Monthly' mod='pssitemap'} </option>
                                    <option value="yearly"  {if $product_frequency eq yearly} selected {/if}> {l s='Yearly'  mod='pssitemap'} </option>
                                    <option value="never"   {if $product_frequency eq never} selected {/if}>  {l s='Never'   mod='pssitemap'} </option>
                                </select>
                            </div>
                        </div> <br>
                        {*END frequency for category*}
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                <table class="display table-responsive" id="id_sitemap_product">
                                    <thead>
                                        <th> {l s='Products ID' mod='pssitemap'} </th>
                                        <th> {l s='Products Name' mod='pssitemap'} </th>
                                        <th> <input class="checkAll btn-check" type="checkbox" name="product_box"> {l s='Select / Unselect all' mod='pssitemap'} </th>
                                    </thead>

                                    <tbody>
                                            {foreach from=$product key=k item=v}
                                                <tr>
                                                    <td>{$v['id_product']|escape:'html':'UTF-8'}</td>
                                                    <td>{$v['name']|escape:'html':'UTF-8'}</td>
                                                    <td><input type="checkbox" class="ajaxupdate product_box" name="product_box" value="{$v['id_product']|escape:'htmlall':'UTF-8'}" {if $v['export'] eq 1}checked="checked"{/if}>
                                                    </td>
                                                </tr>
                                            {/foreach}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="product_sitemap {if $sitemap_product eq 0} hide {/if}">
                            <button type="submit" value="1" id="gen_product_sitemap" name="gen_product_sitemap" class="btn btn-default pull-right">
                                <i class="process-icon-save"></i> {l s='Generate sitemap' mod='pssitemap'}
                            </button>
                        </div>
                        <div class="product_conf {if $sitemap_product eq 1}hide{/if}">
                            <button type="submit" value="1" id="submitproductConf" name="submitproductConf" class="btn btn-default pull-right">
                                <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            {* END PRODUCTS CONFIGURATION *}

            {* START CMS CONFIGURATION *}
            <div id="cmsConf" class="tab-pane fade">
              {* <p>Saxo viri Gallus iussit vel Gallus colligi inquit cognitis acie inquit dentium et dentium armatos saxo adeste Gallus Gallus stridens.</p> *}
                <form id="form_cms_conf" method="post" action="#" class="form-horizontal">
                <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Generate sitemap for CMS pages' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="cms_sitemap" id="cms_sitemap_on" data-toggle="collapase" data-target="#cms_sitemap" value="1" {if $sitemap_cms eq 1} checked="checked" {/if}>
                                <label for="cms_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                                <input class=no type="radio" name="cms_sitemap" id="cms_sitemap_off" data-toggle="collapase" data-target="#cms_sitemap" value="0" {if $sitemap_cms eq 0} checked="checked" {/if}>
                                <label for="cms_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>

                    {*START Priority for cms*}
                    <div class="cms_sitemap {if $sitemap_cms eq 0}hide{/if}">
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Priority' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="cms_priority" name="cms_priority">
                                <option value="0.0" {if $cms_priority eq "0.0"} selected {/if}> 0.0 </option>
                                <option value="0.1" {if $cms_priority eq "0.1"} selected {/if}> 0.1 </option>
                                <option value="0.2" {if $cms_priority eq "0.2"} selected {/if}> 0.2 </option>
                                <option value="0.3" {if $cms_priority eq "0.3"} selected {/if}> 0.3 </option>
                                <option value="0.4" {if $cms_priority eq "0.4"} selected {/if}> 0.4 </option>
                                <option value="0.5" {if $cms_priority eq "0.5"} selected {/if}> 0.5 </option>
                                <option value="0.6" {if $cms_priority eq "0.6"} selected {/if}> 0.6 </option>
                                <option value="0.7" {if $cms_priority eq "0.7"} selected {/if}> 0.7 </option>
                                <option value="0.8" {if $cms_priority eq "0.8"} selected {/if}> 0.8 </option>
                                <option value="0.9" {if $cms_priority eq "0.9"} selected {/if}> 0.9 </option>
                                <option value="1.0" {if $cms_priority eq "1.0"} selected {/if}> 1.0 </option>
                            </select>
                        </div>
                    </div>
                    {*END Priority for cms*}
                    {*START frequency for cms*}
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Modification frequency' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="cms_frequency" name="cms_frequency">
                                <option value="always"  {if $cms_frequency eq always} selected {/if}> {l s='Always'  mod='pssitemap'} </option>
                                <option value="hourly"  {if $cms_frequency eq hourly} selected {/if}> {l s='Hourly'  mod='pssitemap'} </option>
                                <option value="daily"   {if $cms_frequency eq daily} selected {/if}>  {l s='Daily'   mod='pssitemap'} </option>
                                <option value="weekly"  {if $cms_frequency eq weekly} selected {/if}> {l s='Weekly'  mod='pssitemap'} </option>
                                <option value="monthly" {if $cms_frequency eq monthly} selected {/if}>{l s='Monthly' mod='pssitemap'} </option>
                                <option value="yearly"  {if $cms_frequency eq yearly} selected {/if}> {l s='Yearly'  mod='pssitemap'} </option>
                                <option value="never"   {if $cms_frequency eq never} selected {/if}>  {l s='Never'   mod='pssitemap'} </option>
                            </select>
                        </div>
                    </div><br>

                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <table class="display table-responsive" id="id_sitemap_cms">
                            <thead>
                                <th> {l s='Page ID' mod='pssitemap'} </th>
                                <th> {l s='Page title' mod='pssitemap'} </th>
                                <th> <input class="checkAll btn-check" type="checkbox" name="cms_box"> {l s='Select / Unselect all' mod='pssitemap'} </th>
                            </thead>
                            <tbody>
                                    {foreach from=$cms_page key=k item=v}
                                        <tr>
                                            {foreach from = $v key=k item=i}
                                                <td>{$i|escape:'html':'UTF-8'}</td>
                                            {/foreach}
                                            <td><input type="checkbox" class="ajaxupdate cms_box" name="cms_box" value={$v.id_cms|escape:'htmlall':'UTF-8'} {foreach from=$cms_to_export key=y item=x} {if $v.id_cms eq {$x.id_element}}checked{/if} {/foreach}></td>
                                        </tr>
                                    {/foreach}
                            </tbody>
                            </table>
                        </div>
                    </div>
                    </div>
                    <div class="panel-footer">
                        <div class="cms_sitemap {if $sitemap_cms eq 0}hide{/if}">
                            <button type="submit" value="1" id="gen_cms_sitemap" name="gen_cms_sitemap" class="btn btn-default pull-right">
                                <i class="process-icon-save"></i> {l s='Generate sitemap' mod='pssitemap'}
                            </button>
                        </div>
                        <div class="cms_conf {if $sitemap_cms eq 1}hide{/if}">
                            <button type="submit" value="1" id="submit_cms_conf" name="submit_cms_conf" class="btn btn-default pull-right">
                                <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            {* END CMS CONFIGURATION *}

            {* START OTHER CONFIGURATION *}
            <div id="otherConf" class="tab-pane fade">
                <form id="form_other_conf" method="post" action="#" class="form-horizontal">
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Generate sitemap for other pages' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input class="yes" type="radio" name="other_sitemap" id="other_sitemap_sitemap_on" data-toggle="collapase" data-target="#other_sitemap" value="1" {if $sitemap_other_pages eq 1} checked="checked" {/if}> {* smarty a replacer *}
                                <label for="other_sitemap_sitemap_on" class="radioCheck">{l s='YES' mod='pssitemap'}</label>

                                <input class=no type="radio" name="other_sitemap" id="other_sitemap_sitemap_off" data-toggle="collapase" data-target="#other_sitemap" value="0" {if $sitemap_other_pages eq 0} checked="checked" {/if}> {* smarty a replacer *}
                                <label for="other_sitemap_sitemap_off" class="radioCheck">{l s='NO' mod='pssitemap'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>

                    {*START Priority for category*}
                    <div class="other_sitemap {if $sitemap_other_pages eq 0}hide{/if}">
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Priority' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="other_page_priority" name="other_pages_priority">
                                <option value="0.0" {if $other_pages_priority eq "0.0"} selected {/if}> 0.0 </option>
                                <option value="0.1" {if $other_pages_priority eq "0.1"} selected {/if}> 0.1 </option>
                                <option value="0.2" {if $other_pages_priority eq "0.2"} selected {/if}> 0.2 </option>
                                <option value="0.3" {if $other_pages_priority eq "0.3"} selected {/if}> 0.3 </option>
                                <option value="0.4" {if $other_pages_priority eq "0.4"} selected {/if}> 0.4 </option>
                                <option value="0.5" {if $other_pages_priority eq "0.5"} selected {/if}> 0.5 </option>
                                <option value="0.6" {if $other_pages_priority eq "0.6"} selected {/if}> 0.6 </option>
                                <option value="0.7" {if $other_pages_priority eq "0.7"} selected {/if}> 0.7 </option>
                                <option value="0.8" {if $other_pages_priority eq "0.8"} selected {/if}> 0.8 </option>
                                <option value="0.9" {if $other_pages_priority eq "0.7"} selected {/if}> 0.9 </option>
                                <option value="1.0" {if $other_pages_priority eq "1.0"} selected {/if}> 1.0 </option>
                            </select>
                        </div>
                    </div>
                    {*END Priority for category*}
                    {*START frequency for category*}
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                            <div class="text-right">
                                {l s='Modification frequency' mod='pssitemap'}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <select class="" id="other_pages_frequency" name="other_pages_frequency">
                                <option value="always"  {if $other_pages_frequency eq always} selected {/if}> {l s='Always'  mod='pssitemap'} </option>
                                <option value="hourly"  {if $other_pages_frequency eq hourly} selected {/if}> {l s='Hourly'  mod='pssitemap'} </option>
                                <option value="daily"   {if $other_pages_frequency eq daily} selected {/if}>  {l s='Daily'   mod='pssitemap'} </option>
                                <option value="weekly"  {if $other_pages_frequency eq weekly} selected {/if}> {l s='Weekly'  mod='pssitemap'} </option>
                                <option value="monthly" {if $other_pages_frequency eq monthly} selected {/if}>{l s='Monthly' mod='pssitemap'} </option>
                                <option value="yearly"  {if $other_pages_frequency eq yearly} selected {/if}> {l s='Yearly'  mod='pssitemap'} </option>
                                <option value="never"   {if $other_pages_frequency eq never} selected {/if}>  {l s='Never'   mod='pssitemap'} </option>
                            </select>
                        </div>
                    <br><br><br>
                    <div class="form-group">
                        <div class="col-xs-12 col-sm-12 col-md-5 col-lg-3">
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                            <table class="display table-responsive" id="other_pages">
                            <thead>
                                <th> {l s='Page ID' mod='pssitemap'} </th>
                                <th> {l s='Page title' mod='pssitemap'} </th>
                                <th> <input class="checkAll btn-check" type="checkbox" name="other_page_box"> {l s='Export' mod='pssitemap'} </th>
                            </thead>
                            <tbody>
                                    {foreach from=$other_pages key=k item=v}
                                        <tr>
                                            {foreach from = $v key=k item=i}
                                                <td>{$i|escape:'html':'UTF-8'}</td>
                                            {/foreach}
                                            <td><input type="checkbox" class="ajaxupdate other_page_box" name="other_page_box" value={$v.id_meta|escape:'htmlall':'UTF-8'} {foreach from=$other_to_export key=y item=x} {if $v.id_meta eq {$x.id_element}}checked{/if} {/foreach}></td>
                                        </tr>
                                    {/foreach}
                            </tbody>
                            </table>
                        </div>
                    </div>
                    </div>
                    </div>
                        <div class="panel-footer">
                            <div class="other_sitemap {if $sitemap_other_pages eq 0}hide{/if}">
                                <button type="submit" value="1" id="gen_otherConf_sitemap" name="gen_otherConf_sitemap" class="btn btn-default pull-right">
                                    <i class="process-icon-save"></i> {l s='Generate sitemap' mod='pssitemap'}
                                </button>
                            </div>
                            <div class="other_conf {if $sitemap_other_pages eq 1}hide{/if}">
                                <button type="submit" value="1" id="submitOtherConf" name="submitOtherConf" class="btn btn-default pull-right">
                                    <i class="process-icon-save"></i> {l s='Save' mod='pssitemap'}
                                </button>
                            </div>
                        </div>
                </form>
            </div>
            {* END OTHER CONFIGURATION *}

            {*SITEMAP EXPORT PAGE*}
            <div id="sitemap_export" class="tab-pane fade">
                <div class="form-group">
                    <div>
                        <div class="text-left">
                            {l s='Please find below the link to your sitemap' mod='pssitemap'}
                        </div>
                    </div><br><br>
                    <div>
                        <div class="text-left">
                                {if empty($sitemap_created)}
                                <div class="alert alert-warning" role="alert">
                                  {l s='No sitemap has been generated yet' mod='pssitemap'}
                                </div>
                                {else}
                            {foreach from = $sitemap_created key=value item=i}
                                <ul>
                                    <li><a href="{$i|escape:'quotes':'UTF-8'}" target="_blank">{$i|escape:'quotes':'UTF-8'}</a></li>
                                </ul>
                            {/foreach}
                                {/if}
                        </div>
                    </div><br>
                    <div class="alert alert alert-info">
                        {l s='In order to generate the index of your store\'s sitemap, please make sure that you\'ve created at least one sitemap (for your categories, your products, etc).' mod='pssitemap'}<br><br>
                        {l s='To visualize your individual sitemaps, please click on the index and open the corresponding links.' mod='pssitemap'}<br><br>
                        {l s='In case you don\'t know how to submit your sitemap to google, please ' mod='pssitemap'} <a href="https://support.google.com/webmasters/answer/183668?hl=en" target="_blank">{l s='Click here' mod='pssitemap'} </a>
                    </div>
                </div>
            </div>
            {*END*}
        </div>
    </div>
</div>
